Bug 1138321 - Review Request: reeniebeanie-fonts - Reenie Beanie fonts by James Grieshaber
Summary: Review Request: reeniebeanie-fonts - Reenie Beanie fonts by James Grieshaber
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-09-04 13:34 UTC by Julien Enselme
Modified: 2014-09-27 09:51 UTC (History)
5 users (show)

Fixed In Version: reeniebeanie-fonts-1.000-0.4.20140913hg.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:00:48 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-09-04 13:34:52 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/reeniebeanie-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/reeniebeanie-fonts-1.00-1.716ff965e2b0hg.fc20.src.rpm
Description:
Reene Beanie is a fun font based on basic ball-point pen handwriting. It has a
playful and loose look, which lends itself to casual and informal messages. With
a little imagination, Reenie Beanie could be used to represent the scribbling of
a mad scientist, or the recipes of a genius chef.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-04 14:10:20 UTC
this package is missing foundry. See http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming this. Fonts packaged from google font directory should start its name with prefix "google-"

Comment 2 Parag AN(पराग) 2014-09-09 15:54:21 UTC
We got naming issue resolved as "we don't need to add `google-` prefix". 

Review:

+ Package builds fine in mock in F22

- rpmlint on generated rpms gave output
reeniebeanie-fonts.noarch: W: spelling-error Summary(en_US) Renie -> Rene, Renee, Genie
reeniebeanie-fonts.noarch: W: spelling-error %description -l en_US Reene -> Renee, Rene, Reese
reeniebeanie-fonts.noarch: W: invalid-url URL: https://code.google.com/p/googlefontdirectory/source/browse/ofl/reneebeanie HTTP Error 404: Not Found
reeniebeanie-fonts.src: W: spelling-error Summary(en_US) Renie -> Rene, Renee, Genie
reeniebeanie-fonts.src: W: spelling-error %description -l en_US Reene -> Renee, Rene, Reese
reeniebeanie-fonts.src: W: invalid-url URL: https://code.google.com/p/googlefontdirectory/source/browse/ofl/reneebeanie HTTP Error 404: Not Found
reeniebeanie-fonts.src: E: specfile-error warning: line 52: second %files
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

- source verified with upstream as (sha256sum)
=> Don't know how to download source archive

+ License is OFL and included in its own text file OFL.txt

- fontconfig file looks good

+ follows fonts packaging guidelines except additional %files

Suggestions:
1) if you execute
rpm -E %_font_pkg

you will see this macro already added %files. so you should remove %files written explicitly in spec file.

2) use cursive instead of handwriting in fontconfig file see more about this in /usr/share/fontconfig/templates/fontconfig-generics.txt

3) How do you created source archive? Maybe you should add comment above Source0: tag and write how one can obtain same tarball

4) and version looks 1.000 and not 1.00

5) URL should be http://www.google.com/fonts/specimen/Reenie+Beanie

Comment 3 Julien Enselme 2014-09-09 19:43:47 UTC
1) Strange, I didn't get this warning. I removed the %files macro.

2) Corrected.

3) I added a comment.
# To create the tarball, download the Monofett.ttf and OFL.txt files
# listed here: https://code.google.com/p/googlefontdirectory/source/browse/ofl/reeniebeanie
# Then, create the archive by hand.

4) Corrected

5) Corrected

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/reeniebeanie-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/reeniebeanie-fonts-1.000-2.716ff965e2b0hg.fc20.src.rpm

Comment 4 Paul Flo Williams 2014-09-11 12:29:49 UTC
If your sources are several separate files, you aren't required to create an archive; just list them as separate sources.

I can see a link to download a zip or tar.gz for each revision, right there on the site. You don't have to use every file in an archive.

However, for some reason, the appropriate link for your revision:

https://googlefontdirectory.googlecode.com/archive/716ff965e2b03e682f7f2c1010fdf03ef2f433ae.tar.gz

is currently returning a 403 error, and so are other revisions, so I'll raise that as an issue.

Comment 5 Paul Flo Williams 2014-09-11 12:37:18 UTC
Ah, I'm guessing that the download archive links would, if they were working, download an archive of every font at once, so we don't want that.

I'd use Source0, Source1, etc. That way, you can at least provide full persistent URLs for each resource.

Comment 6 Parag AN(पराग) 2014-09-11 13:12:49 UTC
right I was about to say the same. I thought there is some source archive download link I am missing but its not there and also font file in a archive is not downloadable.

Where there is a single font its simple to pick its download link as Source0 and if there is license also available for direct download use it as Source1

so for this package it will be

Source0:     https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/ReenieBeanie.ttf
Source1:   https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/OFL.txt

Now the only problem remains how to identify its uniqueness. Generally we use date in release tag. you should follow pre-release snapshot naming guidelines as given on https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

so you should use release tag as
0.%{X}.%{alphatag} => 0.1.20140911hg

Comment 7 Julien Enselme 2014-09-12 21:37:38 UTC
Except that I get a 403 Error on this two URLs (https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/ReenieBeanie.ttf and https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/OFL.txt).

A valid url would be: https://code.google.com/p/googlefontdirectory/source/browse/ofl/reeniebeanie/ReenieBeanie.ttf but it doesn't allow you to download the file.

I am not sure whether it is better than my current solution.

Comment 8 Parag AN(पराग) 2014-09-13 01:35:17 UTC
I have tested those 2 URLs few times and never ever single time faced any download issues. See

$ wget https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/ReenieBeanie.ttf
--2014-09-13 07:03:57--  https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/ReenieBeanie.ttf
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.130.82, 2404:6800:4003:c01::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.130.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 147872 (144K) [application/octet-stream]
Saving to: ‘ReenieBeanie.ttf’

100%[======================================>] 147,872      231KB/s   in 0.6s   

2014-09-13 07:03:58 (231 KB/s) - ‘ReenieBeanie.ttf’ saved [147872/147872]

$ wget https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/OFL.txt
--2014-09-13 07:04:01--  https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/OFL.txt
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.130.82, 2404:6800:4003:c01::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.130.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/plain]
Saving to: ‘OFL.txt’

    [ <=>                                   ] 4,452       --.-K/s   in 0.02s   

2014-09-13 07:04:03 (252 KB/s) - ‘OFL.txt’ saved [4452]

Comment 9 Julien Enselme 2014-09-13 10:44:44 UTC
I guess it was a temporary problem. I am now also able to download the file with these URLs.

I have update my SPEC file.

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/reeniebeanie-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/reeniebeanie-fonts-1.000-3.20140913hg.fc20.src.rpm

Comment 10 Parag AN(पराग) 2014-09-13 12:38:13 UTC
1) you added in the spec
cp ~/rpmbuild/SOURCES/{ReenieBeanie.ttf,OFL.txt} .

this is not going to work. Just do koji scratch build of above srpm.

You should add for any individual source files like
cp -p %{SOURCE0} %{SOURCE1} .

2) small change in summary needed as its only single font
Summary:       Renie Beanie fonts by James Grieshaber
to
Summary:       Renie Beanie font by James Grieshaber

3) you chose post-release snapshot naming. But if we look for any released tarball on http://www.google.com/fonts/specimen/Reenie+Beanie page then its not there. So, I will take that as no stable tarball ever released. So this is pre-release snapshot so release tag should be
Release:       0.3.%{alphatag}%{?dist}

Comment 11 Julien Enselme 2014-09-13 13:37:34 UTC
1) Corrected, thanks.

2) Corrected, thanks.

3) I did not pay enough attention, sorry. I corrected this.

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/reeniebeanie-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/reeniebeanie-fonts-1.000-0.4.20140913hg.fc20.src.rpm

Comment 12 Parag AN(पराग) 2014-09-13 14:39:25 UTC
1)Not a mandatory but if you think please add information about this font on fedora wiki. You can find other fonts added to wiki at http://fedoraproject.org/wiki/Category:Packaged_fonts

2) When you request for SCM do add following
InitialCC: fonts-sig, i18n-team

3) Do update your other package review requests like what here we corrected.

The above submitted update looks good now.

APPROVED this package.

Comment 13 Julien Enselme 2014-09-13 16:45:12 UTC
1) The page already exists http://fedoraproject.org/wiki/Renee_Beanie_Fonts (it is classified as In progress fonts so it doesn't appear on the Packaged fonts list).

2) I will try to think of this.

3) Starting this now.

Comment 14 Julien Enselme 2014-09-13 16:47:35 UTC
New Package SCM Request
=======================
Package Name: reneebeanie-fonts
Short Description: Renie Beanie fonts by James Grieshaber
Upstream URL: http://www.google.com/fonts/specimen/Reenie+Beanie
Owners: jujens
Branches: f20 f21

Comment 15 Parag AN(पराग) 2014-09-13 17:38:01 UTC
(In reply to Julien Enselme from comment #13)
> 1) The page already exists http://fedoraproject.org/wiki/Renee_Beanie_Fonts
> (it is classified as In progress fonts so it doesn't appear on the Packaged
> fonts list).

Wow! nice.

> 
> 2) I will try to think of this.

Its recommended to add InitialCC. See about this InitialCC at http://fedoraproject.org/wiki/Package_SCM_admin_requests#Pseudo-users_for_SIGs

Comment 16 Julien Enselme 2014-09-13 17:44:17 UTC
New Package SCM Request
=======================
Package Name: reneebeanie-fonts
Short Description: Renie Beanie fonts by James Grieshaber
Upstream URL: http://www.google.com/fonts/specimen/Reenie+Beanie
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 17 Paul Flo Williams 2014-09-14 09:51:56 UTC
The name of this font has been spelled three different ways in the above SCM request. Please correct the name of the package and the description to match the actual font name.

Comment 18 Julien Enselme 2014-09-14 11:21:05 UTC
Thanks for pointing that out. The correct name of the font is: Reenie Beanie.

I have corrected the package name and the description.

Comment 19 Julien Enselme 2014-09-14 11:22:17 UTC
New Package SCM Request
=======================
Package Name: reeniebeanie-fonts
Short Description: Reenie Beanie fonts by James Grieshaber
Upstream URL: http://www.google.com/fonts/specimen/Reenie+Beanie
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 20 Gwyn Ciesla 2014-09-15 12:18:34 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2014-09-15 22:13:20 UTC
reeniebeanie-fonts-1.000-0.4.20140913hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/reeniebeanie-fonts-1.000-0.4.20140913hg.fc20

Comment 22 Fedora Update System 2014-09-15 22:13:25 UTC
reeniebeanie-fonts-1.000-0.4.20140913hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/reeniebeanie-fonts-1.000-0.4.20140913hg.fc21

Comment 23 Fedora Update System 2014-09-16 18:43:51 UTC
reeniebeanie-fonts-1.000-0.4.20140913hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 24 Fedora Update System 2014-09-23 05:00:48 UTC
reeniebeanie-fonts-1.000-0.4.20140913hg.fc21 has been pushed to the Fedora 21 stable repository.

Comment 25 Fedora Update System 2014-09-27 09:51:02 UTC
reeniebeanie-fonts-1.000-0.4.20140913hg.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.